Ueber

Modulesoft

ExtractResources

Adresse
Telefon:
Mobil:
E-Mail:
Internet: 		+49 451 3881572
+49 173 6015074
program@jbausch.de
www.jbausch.de

ExtractResources
für Windows 95, 98, ME, NT, 2000 and XP

ExtractResources extrahiert alle Resourcen aus verschiedensten Dateitypen wie 'EXE', 'DLL', 'OCS', 'OCR', 'SCR' und vielen weiteren.
Dabei werden alle Resourcen in einer Baumliste angezeigt und können in die Zwischenablage oder auf ein Medium (z.B. Festplatte) geschrieben werden. Extrahieren Sie in wenigen Schritten Bitmaps, Icons, Wave, AVI, Dialoge, Texte und viele weitere Typen.

Die nicht registrierte Version ist auf Ihrem Rechner 14 Tage ohne Einschränkungen lauffähig.
Für eine Freischaltung der Version gehen Sie bitte alle Schritte durch, die in der Seite Bestellformular beschrieben sind.


Beschreibung

Das Programm ist in 3 Bereiche aufgeteilt.

Explorer Ansicht: In dem Baum werden alle Dateien die sich auf dem Rechner befinden aufgelistet. Mit Hilfe des Dialoges "Options File" werden nur die Dateien angezeigt, die wirklich interessant sind.
Resourcen der ausgewählten Datei: Alle Resourcen der ausgewählten Datei werden in einer Baumansicht dargestellt. Mit Hilfe des Dialoges "Options Resource" werden nur ausgewählte Resourcen angezeigt.
Daten der ausgewählten Resource: Für jeden Resourcetyp werden unterschiedliche Daten angezeigt.

Vorgehensweise:

Exit Beenden des Programmes.
Save | Speichert die ausgewählte Resource; siehe Options Data.
Save As | Speichert die ausgewählte Resource unter... ; siehe Options Data.
Copy | Zeigt nur die Button Leiste.

Options File | Öffnet den Dialog zum Einstellen der Datei Optionen.
Options Resource | Öffnet den Dialog zum Einstellen der Resource Optionen.
Options Data | Öffnet den Dialog zum Einstellen der Daten Optionen.

Help | Startet diese Hilfe.
Show Startpage | Zeigt die Startseite.
Register product | Zeigt den Registrierdialog.
Modulesoft Online | Links zu Hauptseite / Informationsseite im Internet.
About | Zeigt den Informationsdialog an.

Modulesoft Web Site | Startet diese Hilfe.
EMail Technical Support | Hier können Sie nützliche Tips erfahren.
Check for new Version | Zeigt den Registrierdialog.

Siehe auch
Step 1
Step 2
Step 3


Optionen

Resource Types

Alle in der Tabelle aufgelisteten Resourcen werden von ExtractResources unterstützt. Die nicht aufgelisteten Resourcen werden trotzdem angezeigt und können selbstverständlich auch abgespeichert werden.

Resource Typ | Angezeigt als | Extrahiert als
Bitmap | Bild | *.bmp
Dialog | Bild | *.bin
HTML | Bild, Text | *.bin
Icon | Bild | *.ico
String Table | Text | *.txt
Accelerator | Text | *.bin
Toolbar | Bild | *.bmp
Menu | Text | *.txt
Cursor | Bild | *.cur
Version | Text | *.txt
Unbekannt | Text | *.bin

Fehlermeldung:

Unknown ... Erscheint dieses Symbol, dann konnte die Resource nicht gefunden bzw. die Daten der Resource sind fehlerhaft Besonders häufig tritt dieser Fehler bei komprimierten EXE bzw. DLL's auf. Diese Dateien werden mit entsprechenden Tools verkleinert und beim Ausführen wieder entpackt.

Siehe auch
Optionen Resourcen


Optionen

Optionen File

Die Einstellungen bestimmen die Darstellung in der Datei Ansicht.

Show all files
Bei aktivierter Einstellung werden alle Dateien angezeigt.
Bei deaktivierter Einstellung werden nur die in der Liste eingetragenen Dateitypen angezeigt.


Optionen

Optionen Resourcen

Die Einstellungen bestimmen die Darstellung in der Resource Ansicht.

Show Resource Types
legen Sie fest welche Resource Typen angezeigt werden sollen.

Show Languages
zeigt zusätzlich für jede Resource die Sprache an.

Show size
zeigt die Anzahl der Resourcen unter dem jeweiligen Resource Typ.

Siehe auch
Resource Types


Optionen

Optionen Data

Die Einstellungen bestimmen wo die Resourcedaten abgespeichert werden.

Last selected folder
Bei aktivierter Einstellung werden die Files im letzten ausgewählten Verzeichnis gespeichert.
Bei deaktivierter Einstellung werden die Files im angezeigten Verzeichnis gespeichert.

Ist die Option Show Message aktiviert, dann wird bei jeder Datei die überschrieben werden soll eine Abfrage angezeigt, um ein versehentliches überschreiben zu verhindern.

Ist das angegebene Verzeichnis nicht vorhanden, dann wird es automatisch beim Speichern von Daten angelegt.


Video Example

Step 1
Step 2
Step 3
[Update]
Das Programm ist in 3 Bereiche untergliedert.
Links befindet sich der Dateibaum in dem alle Dateien die sich auf dem Computer befinden angezeigt werden.
In der Mitte werden die Resourcen von der aktuell ausgewählten Datei angezeigt.
Rechts werden alle Daten der ausgewählten Resource angezeigt.


Video Example

Step 1
Step 2
Step 3
[Update]
Beim Selektieren der Shell32.dll im Filebaum werden alle Resourcen dieser Datei angezeigt.
Im rechten Fenster werden für den ausgewählten Resourcetyp die Daten angezeigt.


Video Example

Step 1
Step 2
Step 3
[Update]
Es gibt mehrere Möglichkeiten die Daten zu exportieren (auf die Festplatte oder Zwischenablage).
Sie können hierfür in das Menü gehen oder die Symbole in der Tabbar betätigen oder mit Hilfe der rechten Maustaste ein Contextmenü öffnen.


System Voraussetzungen

Um mit ExtractResources arbeiten zu können, benötigen Sie folgende Ausstattung:

  • Software: alle Win32 Versionen (Win95/98/SE/ME, Win NT, Win 2000, XP)
    Internet Explorer 4.x oder Netscape 4.x
  • Hardware: für die Installation 1.0 MByte freien Festplattenspeicher
    Grafikauflösung 800*600 Punkten


Check New Version

Der Dialog prüft, ob eine neuere Version des Programmes vorliegt.
Für die Überprüfung benötigen Sie eine Verbindung zum Internet.
Wird eine neuere Version gefunden, dann öffnet sich der "Speichern Unter ... " Dialog mit dem Sie die neuere Version auf Ihrer Festplatte speichern können.
Schliessen Sie das Programm,.um die neuere Version zu installieren


Uninstall

ExtractResources deinstallieren:
Wenn Sie ExtractResources deinstallieren wollen (und auch den erstellten Link auf dem Desktop), betätigen Sie in der Taskbar den Start Button und öffnen dann im Menü Einstellungen den Unterordner Systemsteuerung. Dort befindet sich das Icon Software. Diesen öffnen Sie (doppelklick) und wählen dann den Eintrag ExtractResources aus und gehen dann auf deinstall bzw. entfernen. Beim Deinstallieren werden alle Verknüpfungen und Registry - Einträge entfernt.


License

Lizenz

Copyright & Rechtliche Hinweise Copyright © 2003 Alle Rechte vorbehalten
 Wegen der ständigen Weiterentwicklung des Produktes können sich Änderungen im Programm, sowie das Verhalten ändern. Alle Angaben und Daten in diesen Unterlagen können ohne vorherige Ankündigung geändert werden.
Es wird nicht garantiert, dass die Dokumentation frei von Fehlern oder Irrtümern ist. Kein Teil dieser Publikation darf ohne vorherige schriftliche Erlaubnis reproduziert, oder in einer Datenablage gespeichert werden, durch irgendwelche Mittel weitergereicht werden, seien sie elektronisch, mechanisch, sei es durch Fotokopieren oder Aufnehmen oder auf andere Weise.
Die nicht registrierte Version vom ExtractResources kann in seinem ursprünglichen, unveränderten Format frei verteilt werden.
Von der Vollversion (registrierte Version) darf nur eine Sicherungskopie angelegt werden und diese Sicherungskopie darf nicht weitergegeben werden.
Fehler oder Folgeschäden, die durch den ExtractResources entstehen, sei es durch Fehlbedienung oder versehentlichen Überschreiben von Dateien, können nicht beim Autor geltend gemacht werden.
Wenn Sie nicht mit dieser Lizenz einverstanden sind, müssen Sie ExtractResources von Ihrem Rechner entfernen und aufhören, das Produkt zu benutzen.


Bestellformular ...

Ist Ihre Testperiode von 7 Tagen abgelaufen, so können Sie mit Ihrer Arbeit fortfahren, indem Sie die Vollversion von ExtractResources erwerben und Ihre Testversion als Vollversion freischalten.

  1. Öffnen Sie dafür den Dialog "Register".
  2. Geben Sie Ihren Vor - und Nachnamen in das Feld (1) ein.
  3. Bestellen Sie die Vollversion siehe unten und geben Sie den Namen (1) und die Program ID (2) bei der Bestellung mit an.
  4. Überweisen Sie den Betrag von 5 Euro auf das Konto 1030716 BLZ 23092706 bei der Volksbank Ratzeburg.
  5. Nach Bestätigung der Zahlung bekommen Sie von uns den Registrations Schlüssel.
  6. Den Registrations Schlüssel geben Sie in das Feld (3) ein. Nach Bestätigung mit dem Button "Ok" ist Ihre Version freigeschaltet.

Drei einfache Möglichkeiten der Bestellung….

Online
 Bestellen Sie online.

E-Mail
Schicken Sie eine Mail mit den unten angegebenen Daten an program@jbausch.de

Post
Schicken Sie einen Brief mit den Unten angegebenen Daten an:

Modulesoft
Jörg Bausch
Travemünder Allee 15
23568 Lübeck

Bestellung von ExtractResources

Sie bekommen den Registration Key per E-Mail oder Post zugesandt.

Daten

Tragen Sie Ihre Daten in die freien Felder ein und drucken Sie die Daten mit dem Button "Drucken" aus.
Wichtig : Damit Sie den Freischaltcode bekommen, benötigen wir entweder Ihre E - Mail Adresse oder Ihre Anschrift.

Name: *
Program ID: *
Straße:
PLZ und Ort:
E-Mail:
Telefon:

* die mit einem Stern gekennzeichneten Felder müssen ausgefüllt werden